/**
 */
package org.eclipse.gef.dot.internal.language.recordlabel;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.eclipse.gef.dot.internal.language.recordlabel.RecordlabelFactory
 * @model kind="package"
 * @generated
 */
public interface RecordlabelPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "recordlabel";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.eclipse.org/gef/dot/internal/language/DotRecordLabel";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "recordlabel";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  RecordlabelPackage eINSTANCE = org.eclipse.gef.dot.internal.language.recordlabel.impl.RecordlabelPackageImpl.init();

  /**
   * The meta object id for the '{@link org.eclipse.gef.dot.internal.language.recordlabel.impl.RLabelImpl <em>RLabel</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.RLabelImpl
   * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.RecordlabelPackageImpl#getRLabel()
   * @generated
   */
  int RLABEL = 0;

  /**
   * The feature id for the '<em><b>Fields</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RLABEL__FIELDS = 0;

  /**
   * The number of structural features of the '<em>RLabel</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RLABEL_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link org.eclipse.gef.dot.internal.language.recordlabel.impl.FieldImpl <em>Field</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.FieldImpl
   * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.RecordlabelPackageImpl#getField()
   * @generated
   */
  int FIELD = 1;

  /**
   * The feature id for the '<em><b>Field ID</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIELD__FIELD_ID = 0;

  /**
   * The feature id for the '<em><b>Label</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIELD__LABEL = 1;

  /**
   * The number of structural features of the '<em>Field</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIELD_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.eclipse.gef.dot.internal.language.recordlabel.impl.FieldIDImpl <em>Field ID</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.FieldIDImpl
   * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.RecordlabelPackageImpl#getFieldID()
   * @generated
   */
  int FIELD_ID = 2;

  /**
   * The feature id for the '<em><b>Port Named</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIELD_ID__PORT_NAMED = 0;

  /**
   * The feature id for the '<em><b>Port</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIELD_ID__PORT = 1;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIELD_ID__NAME = 2;

  /**
   * The number of structural features of the '<em>Field ID</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIELD_ID_FEATURE_COUNT = 3;


  /**
   * Returns the meta object for class '{@link org.eclipse.gef.dot.internal.language.recordlabel.RLabel <em>RLabel</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>RLabel</em>'.
   * @see org.eclipse.gef.dot.internal.language.recordlabel.RLabel
   * @generated
   */
  EClass getRLabel();

  /**
   * Returns the meta object for the containment reference list '{@link org.eclipse.gef.dot.internal.language.recordlabel.RLabel#getFields <em>Fields</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Fields</em>'.
   * @see org.eclipse.gef.dot.internal.language.recordlabel.RLabel#getFields()
   * @see #getRLabel()
   * @generated
   */
  EReference getRLabel_Fields();

  /**
   * Returns the meta object for class '{@link org.eclipse.gef.dot.internal.language.recordlabel.Field <em>Field</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Field</em>'.
   * @see org.eclipse.gef.dot.internal.language.recordlabel.Field
   * @generated
   */
  EClass getField();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.gef.dot.internal.language.recordlabel.Field#getFieldID <em>Field ID</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Field ID</em>'.
   * @see org.eclipse.gef.dot.internal.language.recordlabel.Field#getFieldID()
   * @see #getField()
   * @generated
   */
  EReference getField_FieldID();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.gef.dot.internal.language.recordlabel.Field#getLabel <em>Label</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Label</em>'.
   * @see org.eclipse.gef.dot.internal.language.recordlabel.Field#getLabel()
   * @see #getField()
   * @generated
   */
  EReference getField_Label();

  /**
   * Returns the meta object for class '{@link org.eclipse.gef.dot.internal.language.recordlabel.FieldID <em>Field ID</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Field ID</em>'.
   * @see org.eclipse.gef.dot.internal.language.recordlabel.FieldID
   * @generated
   */
  EClass getFieldID();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.gef.dot.internal.language.recordlabel.FieldID#isPortNamed <em>Port Named</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Port Named</em>'.
   * @see org.eclipse.gef.dot.internal.language.recordlabel.FieldID#isPortNamed()
   * @see #getFieldID()
   * @generated
   */
  EAttribute getFieldID_PortNamed();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.gef.dot.internal.language.recordlabel.FieldID#getPort <em>Port</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Port</em>'.
   * @see org.eclipse.gef.dot.internal.language.recordlabel.FieldID#getPort()
   * @see #getFieldID()
   * @generated
   */
  EAttribute getFieldID_Port();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.gef.dot.internal.language.recordlabel.FieldID#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.eclipse.gef.dot.internal.language.recordlabel.FieldID#getName()
   * @see #getFieldID()
   * @generated
   */
  EAttribute getFieldID_Name();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  RecordlabelFactory getRecordlabelFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link org.eclipse.gef.dot.internal.language.recordlabel.impl.RLabelImpl <em>RLabel</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.RLabelImpl
     * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.RecordlabelPackageImpl#getRLabel()
     * @generated
     */
    EClass RLABEL = eINSTANCE.getRLabel();

    /**
     * The meta object literal for the '<em><b>Fields</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference RLABEL__FIELDS = eINSTANCE.getRLabel_Fields();

    /**
     * The meta object literal for the '{@link org.eclipse.gef.dot.internal.language.recordlabel.impl.FieldImpl <em>Field</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.FieldImpl
     * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.RecordlabelPackageImpl#getField()
     * @generated
     */
    EClass FIELD = eINSTANCE.getField();

    /**
     * The meta object literal for the '<em><b>Field ID</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FIELD__FIELD_ID = eINSTANCE.getField_FieldID();

    /**
     * The meta object literal for the '<em><b>Label</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FIELD__LABEL = eINSTANCE.getField_Label();

    /**
     * The meta object literal for the '{@link org.eclipse.gef.dot.internal.language.recordlabel.impl.FieldIDImpl <em>Field ID</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.FieldIDImpl
     * @see org.eclipse.gef.dot.internal.language.recordlabel.impl.RecordlabelPackageImpl#getFieldID()
     * @generated
     */
    EClass FIELD_ID = eINSTANCE.getFieldID();

    /**
     * The meta object literal for the '<em><b>Port Named</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FIELD_ID__PORT_NAMED = eINSTANCE.getFieldID_PortNamed();

    /**
     * The meta object literal for the '<em><b>Port</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FIELD_ID__PORT = eINSTANCE.getFieldID_Port();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FIELD_ID__NAME = eINSTANCE.getFieldID_Name();

  }

} //RecordlabelPackage
